/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.drawpanel.listeners;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

import cn.edu.whu.lmars.drawpanel.ui.JDrawPanel;

/**
 * This class receives keyboard events on JDrawPanel.
 * 
 * @author Mingda Zhang
 * 
 */

public class KeyMonitor extends KeyAdapter {
	private JDrawPanel drawPanel;

	/**
	 * Instantiates a KeyMonitor.
	 * 
	 * @param drawPanel
	 *            Event Source
	 */
	public KeyMonitor(JDrawPanel drawPanel) {
		this.drawPanel = drawPanel;
	}

	/**
	 * Makes the JDrawPanel support multiple choice.
	 */
	@Override
	public void keyReleased(KeyEvent e) {
		drawPanel.setMutipable(false);
	}

	/**
	 * Makes the JDrawPanel support single choice.
	 */
	@Override
	public void keyPressed(KeyEvent e) {
		if (e.isControlDown()) {
			drawPanel.setMutipable(true);
		}
	}
}
