/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.drawpanel.ui;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;

import cn.edu.whu.lmars.frame.listeners.MenuActionListener;

/**
 * Creates a JPopupMenu for JDrawPanel
 * 
 * @author Zhang Mingda
 * 
 */

public class DrawPanelPopuMenu extends JPopupMenu {
	private MenuActionListener listener = new MenuActionListener();
	private static final long serialVersionUID = 1L;
	private static DrawPanelPopuMenu popuMenu = null;

	private DrawPanelPopuMenu() {
		initilize();
	}

	/**
	 * Gets an instance of DrawPanelPopuMenu.
	 * 
	 * @return DrawPanelPopuMenu
	 */
	public static DrawPanelPopuMenu getInstance() {
		if (popuMenu == null) {
			popuMenu = new DrawPanelPopuMenu();
		}
		return popuMenu;
	}

	/**
	 * Initializes the DrawPanelPopuMenu.
	 */
	private void initilize() {
	//	this.add(createItem("clear", "clear"));
	//	this.add(createItem("detail", "detail"));
	//	this.add(createItem("zoom in", "zoomin"));
	//	this.add(createItem("zoom out", "zoomout"));
	//	this.add(createItem("select", "select"));
		this.add(createItem("merge", "merge"));
		this.add(createItem("model...", "modelpath"));
		this.add(createItem("delete", "delete"));
		
	//	this.add(createItem("undo", "undo"));
	//	this.add(createItem("redo", "redo"));
	}

	/**
	 * Creates a JMenuItem.
	 * 
	 * @param name
	 *            the name of JMenuItem.
	 * @param actionCommand
	 *            the action command of JMenuItem.
	 * @return a JMenuItem
	 */
	private JMenuItem createItem(String name, String actionCommand) {
		JMenuItem item = new JMenuItem(name);
		item.setActionCommand(actionCommand);
		item.addActionListener(listener);
		return item;
	}
}
