/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.drawpanel.ui.cursors;

import java.awt.Cursor;
import java.awt.Point;
import java.awt.Toolkit;

import javax.swing.ImageIcon;

/**
 * Creates a BindCursor, the shape of the mouse when performs a binding
 * operation.
 * 
 * @author Zhang Mingda
 * 
 */
public class BindCursor {
	private static BindCursor instance;
	private Cursor cursor = null;

	private BindCursor() {
		iniCursor();
	}

	/**
	 * Gets an instance of BindCursor.
	 */
	public static BindCursor getInstance() {
		if (instance == null) {
			instance = new BindCursor();
		}
		return instance;
	}

	/**
	 * @return the cursor.
	 */
	public Cursor getBindCursor() {

		return cursor;
	}

	/**
	 * Initializes the BindCursor.
	 */
	private void iniCursor() {

		/*
		 * Color:256 Size:32*32
		 */
		ImageIcon imageIcon = new ImageIcon(getClass().getResource(
				"/images/" + "bindcusor.png"));
		Toolkit toolkit = Toolkit.getDefaultToolkit();
		cursor = toolkit.createCustomCursor(imageIcon.getImage(), new Point(0,
				0), "Bind");
	}
}
