/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.frame.listeners;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JOptionPane;

import conf.GlobeParam;

import cn.edu.whu.lmars.frame.ui.ClientFrame;
import cn.edu.whu.lmars.frame.utils.WorkSpaceUtil;

/**
 * This class receives JFrame events.
 * 
 * @author Mingda Zhang
 * 
 */
public class GeoWindowListener extends WindowAdapter {

	/**
	 * Checks whether the workspace is changed before closing the window and saves changes.
	 * @see java.awt.event.WindowAdapter#windowClosing(WindowEvent)
	 */
	@Override
	public void windowClosing(WindowEvent e) {
		int flag = JOptionPane.showConfirmDialog(GlobeParam.getClient(),
				"Exit GeoJModelBuilder ?", "Confirm Exit", JOptionPane.OK_CANCEL_OPTION);
		if (flag != JOptionPane.OK_OPTION) {
			return;
		}
		ClientFrame clientFrame = GlobeParam.getClient();
		WorkSpaceUtil.saveWorkSpace(clientFrame);
		clientFrame.dispose();
	}

	/**
	 * @see java.awt.event.WindowAdapter#windowClosed(WindowEvent)
	 */
	public void windowClosed(WindowEvent e) {
		System.exit(0);
	}
}
