/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.frame.listeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import cn.edu.whu.lmars.frame.utils.MenuActionHandle;

/**
 * Gets this ActionEvent when the menu event occurs.
 * 
 * @author Mingda Zhang
 * 
 */
public class MenuActionListener implements ActionListener {

	public MenuActionListener() {
	}

	/**
	 * Performs different actions according the action command.
	 * @see java.awt.event.ActionListener#actionPerformed(ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		MenuActionHandle actionHandle = new MenuActionHandle();
		String str = e.getActionCommand();
		if (str.equals("run")) {
			actionHandle.runAction();
		} else if (str.equals("open")) {
			actionHandle.openAction();
		} else if (str.equals("save")) {
			actionHandle.saveAction();
		} else if (str.equals("exit")) {
			actionHandle.exitAction();
		} else if (str.equals("delete")) {
			actionHandle.deleteAction();

		} else if (str.equals("add")) {
			actionHandle.addAction();
		} else if (str.equals("flow")) {
			actionHandle.flowAction();

		} else if (str.equals("select")) {
			actionHandle.selectAction();
		} else if (str.equals("detail")) {
			actionHandle.detailAction();
		} else if (str.equals("zoomin")) {
			actionHandle.zoomInAction();
		} else if (str.equals("zoomout")) {
			actionHandle.zoomOutAction();
		} else if (str.equals("export")) {
			actionHandle.exportAction();
		} else if (str.equals("merge")) {
			actionHandle.mergeAction();
		} else if (str.equals("clear")) {
			actionHandle.clearAction();
		} else if (str.equals("undo")) {
			actionHandle.undoAction();
		} else if (str.equals("redo")) {
			actionHandle.redoAction();
		} else if (str.equals("new")) {
			actionHandle.newAction();
		} else if (str.equals("tab")) {
			actionHandle.addTab();
		} else if (str.equals("workspace")) {
			actionHandle.switchWorkSpace();
		} else if (str.equals("addEsriShapefile")) {
			actionHandle.addEsriShapefile();
		} else if (str.equals("addTifFile")) {
			actionHandle.addTifFile();
		} else if (str.equals("addKmlFile")) {
			actionHandle.addKmlFile();
		} else if (str.equals("addWebData")) {
			actionHandle.addWebData();
		}else if (str.equals("addBalloon")) {
			actionHandle.addBalloon();
		}else if (str.equals("addLocalData")) {
			actionHandle.addLocalData();
		} 
		else if (str.equals("sosOperation")) {
			actionHandle.sosOpera();
		} else if (str.equals("sesOperation")) {
			actionHandle.sesOpera();
		} else if (str.equals("wnsOperation")) {
			actionHandle.wnsOpera();
		} else if (str.equals("subcribeAlert")) {
			actionHandle.subcribeAlert();
		} else if (str.equals("grassrun")) {
			actionHandle.grassRun();
		} else if (str.equals("addModel")) {
			actionHandle.addModel();
		} else if (str.equals("bind")) {
			actionHandle.bindModel();
		} else if (str.equals("rundetail")) {
			actionHandle.detailRun();
		}else if (str.equals("help")) {
			actionHandle.helpAction();
		}else if (str.equals("resource")) {
			actionHandle.resourceAction();
		}else if (str.equals("about")) {
			actionHandle.aboutAction();
		}else if (str.equals("modelpath")) {
			actionHandle.modelPath();
		}
	}

}
