/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.frame.ui;

import java.awt.Cursor;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

import cn.edu.whu.lmars.service.utils.NetUtil;
import cn.edu.whu.lmars.utils.BaseTool;

/**
 * The information of the GeoJModelBuilder.
 * 
 * @author Mingda Zhang
 * 
 */
public class AboutDialog extends JDialog implements MouseListener,ActionListener{

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JLabel iconLabel = null;
	private JLabel namejLabel = null;
	private JLabel licencejLabel = null;
	private JLabel copyjLabel = null;
	private JLabel contentjLabel = null;
	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JLabel gpljLabel2 = null;
	private JLabel jLabel2 = null;
	private JLabel jLabel3 = null;
	private JButton okjButton = null;
	private String gplUrl = "http://www.gnu.org/licenses/gpl-2.0.html";  //  @jve:decl-index=0:
	private String projectUrl = "https://sourceforge.net/projects/geopw/";  //  @jve:decl-index=0:
	private String geopwUrl = "http://geopw.whu.edu.cn/geopw.html";  //  @jve:decl-index=0:
	/**
	 * This method initializes okjButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getOkjButton() {
		if (okjButton == null) {
			okjButton = new JButton();
			okjButton.setBounds(new Rectangle(428, 16, 58, 30));
			okjButton.setText("OK");
			okjButton.setActionCommand("ok");
			okjButton.addActionListener(this);
		}
		return okjButton;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		AboutDialog dialog = new AboutDialog(null);
		dialog.setVisible(true);
	}

	/**
	 * @param owner
	 */
	public AboutDialog(Frame owner) {
		super(owner);
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(543, 441);
		this.setTitle("About GeoJModelBuilder");
		this.setFont(new Font("Dialog", Font.PLAIN, 14));
		this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		this.setContentPane(getJContentPane());
		this.setModal(true);
		this.setLocationRelativeTo(null);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel3 = new JLabel();
			jLabel3.setBounds(new Rectangle(60, 310, 327, 30));
			jLabel3.setText("<HTML><FONT color=\"#000099\"><U>View our project: https://sourceforge.net/projects/geopw/</U></FONT></HTML>");
			jLabel3.addMouseListener(this);
			jLabel3.setName("project");
			jLabel2 = new JLabel();
			jLabel2.setBounds(new Rectangle(60, 346, 324, 30));
			jLabel2.setText("<HTML><FONT color=\"#000099\"><U>View our Web site: http://geopw.whu.edu.cn/geopw.html</U></FONT></HTML>");
			jLabel2.setName("geopw");
			jLabel2.addMouseListener(this);
			gpljLabel2 = new JLabel();
			gpljLabel2.setBounds(new Rectangle(60, 274, 97, 30));
			gpljLabel2.addMouseListener(this);
			gpljLabel2.setName("gpl");
			gpljLabel2.setText("<HTML><FONT color=\"#000099\"><U>View the GPLv2</U></FONT></HTML>");
			jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(60, 224, 432, 30));
			jLabel1.setText("geoprocessing modeling and environmental monitoring.");
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(60, 194, 442, 30));
			jLabel.setText("tool that couples geospatial Web services and NASA World Wind to support");
			contentjLabel = new JLabel();
			contentjLabel.setBounds(new Rectangle(60, 164, 436, 30));
			contentjLabel.setText("GeoJModelBuilder is an open-source(released under GPLv2) model builder");
			copyjLabel = new JLabel();
			copyjLabel.setBounds(new Rectangle(60, 114, 389, 30));
			copyjLabel.setText("Copyright (c)2013 LIESMARS, Wuhan University");
			licencejLabel = new JLabel();
			licencejLabel.setBounds(new Rectangle(60, 64, 370, 30));
			licencejLabel.setText("Licence Type: GPLv2");
			namejLabel = new JLabel();
			namejLabel.setBounds(new Rectangle(60, 14, 126, 30));
			namejLabel.setFont(new Font("Dialog", Font.BOLD, 12));
			namejLabel.setText("GeoJModelBuilder");
			iconLabel = new JLabel();
			iconLabel.setBounds(new Rectangle(9, 32, 42, 41));
			iconLabel.setIcon(new ImageIcon(getClass().getResource("/images/icon_small.png")));
			iconLabel.setText("");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(iconLabel, null);
			jContentPane.add(namejLabel, null);
			jContentPane.add(licencejLabel, null);
			jContentPane.add(copyjLabel, null);
			jContentPane.add(contentjLabel, null);
			jContentPane.add(jLabel, null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(gpljLabel2, null);
			jContentPane.add(jLabel2, null);
			jContentPane.add(jLabel3, null);
			jContentPane.add(getOkjButton(), null);
		}
		return jContentPane;
	}

	@Override
	public void mouseClicked(MouseEvent e) {
		// TODO Auto-generated method stub
		JLabel label;
		Object object = e.getSource();
		if(object instanceof JLabel){
			label = (JLabel)object;
			String name = label.getName();
			if (BaseTool.isNull(name)) {
				return;
			}
			String url = "";
			if (name.equals("gpl")) {
				url = gplUrl;
			}else if (name.equals("project")) {
				url = projectUrl;
			}else if (name.equals("geopw")) {
				url = geopwUrl;
			}
			if(BaseTool.isNull(url)){
				return;
			}
			NetUtil.viewToWeb(url);
		}
	}

	@Override
	public void mousePressed(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void mouseReleased(MouseEvent e) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void mouseEntered(MouseEvent e) {
		// TODO Auto-generated method stub
		Object object = e.getSource();
		if (object instanceof JLabel) {
			((JLabel)object).setCursor(new Cursor(Cursor.HAND_CURSOR));
		}
	}

	@Override
	public void mouseExited(MouseEvent e) {
		// TODO Auto-generated method stub
		Object object = e.getSource();
		if (object instanceof JLabel) {
			((JLabel)object).setCursor(new Cursor(Cursor.HAND_CURSOR));
		}
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub
		String str = e.getActionCommand();
		if(str.equals("ok")){
			this.dispose();
		}
	}

}  
