/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.locale;

/**
 * Constants of locale resource. Used as keys to get string from resource bundle.
 * 
 * @author Mingda Zhang
 * 
 */
public class LocaleKey {

	public static String Res_location = "cn.edu.whu.lmars.locale.res.MessageBundle";
	// JFrame
	public static String JFrame_Title = "jframe.title";
	public static String JFrame_DrawPanel_Default_Name = "jframe.drawpanel.default.name";
	public static String Jframe_jJabbedpanel_Worldwind = "jframe.jtabbedpanel.worldwind";
	public static String JFrame_Jtabbedpanel_Service = "jframe.jtabbedpanel.service";

	// Buttons' name
	public static String Button_OK = "button.ok";
	public static String Button_Concel = "button.concel";
	public static String Button_Browse = "button.browse";
	public static String button_Add = "button.add";
	public static String button_Delete = "button.delete";
	public static String button_Finish = "button.finish";
	public static String Button_Bind = "button.bind";

	// Starter
	public static String Starter_Dialog_Tile = "start.dialog.title";
	public static String Starter_Dialog_Ws = "start.dialog.workspace";
	public static String Starter_Init_Origin = "start.init.origin";
	public static String Starter_Init_Check = "start.init.check";
	public static String Starter_Init_Check_Msg_Fault = "start.init.check.msg.fault";
	public static String Starter_Init_WorldWind = "start.init.wordwind";
	public static String Starter_Init_Tree = "start.init.tree";
	public static String Starter_Init_DrawPanel = "start.init.drawpanel";
	public static String Starter_Init_Tabbed = "start.init.tabbed";
	public static final String Starter_Init_Layout = "start.init.layout";

	// Menu
	public static String Menu_File = "menu.file";
	public static String Menu_File_Open = "menu.file.open";
	public static String Menu_File_Save = "menu.file.save";
	public static String Menu_File_Export = "menu.file.export";
	public static String Menu_File_Switch = "menu.file.switch";
	public static String Menu_File_Exit = "menu.file.exit";

	public static String Menu_Model = "menu.model";
	public static String Menu_Model_Add = "menu.model.add";

	public static String Menu_Edit = "menu.edit";
	public static String Menu_Edit_Delete = "menu.edit.delete";

	public static String Menu_Project = "menu.project";
	public static String Menu_Project_NewTab = "menu.project.newtab";

	public static String Menu_Run = "menu.run";
	public static String Menu_Run_Run = "menu.run.run";
	public static String Menu_Run_Info = "menu.run.info";

	public static String Menu_Data = "menu.data";
	public static String Menu_Data_Shp = "menu.data.shp";
	public static String Menu_Data_Tif = "menu.data.tif";
	public static String Menu_Data_Kml = "menu.data.kml";

	public static String Menu_sensorweb = "menu.sensorweb";
	public static String Menu_sensorweb_Wns = "menu.sensorweb.wns";
	public static String Menu_sensorweb_Ses = "menu.sensorweb.ses";
	public static String Menu_sensorweb_Sos = "menu.sensorweb.sos";
	public static String Menu_sensorweb_Subscribe = "menu.sensorweb.subcribe";

	// ToolBar
	public static String Toolbar_Tip_Open = "toolbar.tip.open";
	public static String Toolbar_Tip_Save = "toolbar.tip.save";
	public static String Toolbar_Tip_Delete = "toolbar.tip.delete";
	public static String Toolbar_Tip_NewTab = "toolbar.tip.newtab";
	public static String Toolbar_Tip_AddModel = "toolbar.tip.add.model";
	public static String Toolbar_Tip_Clear = "toolbar.tip.clear";
	public static String Toolbar_Tip_AddFlow = "toolbar.tip.add.flow";
	public static String Toolbar_Tip_Bind = "toolbar.tip.bind";
	public static String Toolbar_Tip_Run = "toolbar.tip.run";
	public static String Toolbar_Tip_Zoomin = "toolbar.tip.zoomin";
	public static String Toolbar_Tip_Zoomout = "toolbar.tip.zoomout";
	public static String Toolbar_Tip_Redo = "toolbar.tip.redo";
	public static String Toolbar_Tip_Undo = "toolbar.tip.undo";
	public static String Toolbar_Tip_Select = "toolbar.tip.select";
	public static String Toolbar_Tip_Detail = "toolbar.tip.detail";

	// Dialog
	// Execution Dialog
	public static String Dialog_Execute_Title = "dialog.execute.title";
	public static String Dialog_Execute_Label = "dialog.execute.label.execute";
	public static String Dialog_Execute_Button_Copy = "dialog.execute.button.copy";
	public static String Dialog_Execute_Button_Exe = "dialog.execute.button.execute";
	public static String Dialog_Execute_Dialog_CopyOk = "Tdialog.execute.dialog.copyok";
	public static String Dialog_Execute_Error = "dialog.execute.error";
	public static String Dialog_Execute_Success = "dialog.execute.success";

	public static String dialog_Model_Title = "dialog.model.title";
	public static String dialog_Model_Table_Column_Name = "dialog.model.table.column.name";
	public static String dialog_Model_Table_Column_Type = "dialog.model.table.column.type";
	public static String dialog_Model_Label_Param = "dialog.model.label.params";
	public static String dialog_Model_Label_Abstract = "dialog.model.label.abstract";
	public static String dialog_Model_Label_Name = "dialog.model.label.name";
	public static String dialog_Model_Add_Column_Title = "dialog.model.add.column.title";

	public static String Dialog_Bind_Add_Title = "dialog.bind.add.title";
	public static String Dialog_Bind_Add_Label_Name = "dialog.bind.add.label.name";
	public static String Dialog_Bind_Add_Label_Model_Param = "dialog.bind.add.label.model.param";
	public static String Dialog_Bind_Add_Label_Bind_Param = "dialog.bind.add.label.bind.param";
	public static String Dialog_Bind_Add_Label_Process = "dialog.bind.add.label.process";
	public static String Dialog_Bind_Add_Label_ProcessSet = "dialog.bind.add.label.processset";
	public static String Dialog_Bind_Add_Column_Bind = "dialog.bind.add.column.bind";
	public static String Dialog_Bind_Add_Column_Model = "dialog.bind.add.column.model";
	public static String Dialog_Bind_Add_Msg_Repeat = "dialog.bind.add.msg.repeat";
	public static String Dialog_Bind_Add_Msg_Redo = "dialog.bind.add.msg.redo";
	public static String Dialog_Bind_Add_Msg_All = "dialog.bind.add.msg.all";
	public static String Dialog_Bind_Add_Msg_Name = "dialog.bind.add.msg.namenull";
	public static String Dialog_Bind_Choice_Title = "dialog.bind.choice.tite";
	public static String Dialog_Bind_Choice_Label_Bind = "dialog.bind.choice.label.bind";
	public static String Dialog_Bind_Choice_Msg_Success = "dialog.bind.choice.msg.success";

	// Run Detail Dialog
	public static String Dialog_Run_Detail_Title = "dialog.run.detail.title";
	public static String Dialog_Run_Detail_Text_State_Ready = "dialog.run.detail.text.state.ready";
	public static String dialog_Run_Detail_Text_State_Fail = "dialog.run.detail.text.state.fail";
	public static String dialog_Run_Detail_Text_State_Success = "dialog.run.detail.text.state.success";
	public static String dialog_Run_Detail_Label_Seq = "dialog.run.detail.label.sequence";
	public static String dialog_Run_Detail_Label_EndTime = "dialog.run.detail.label.endtime";
	public static String dialog_Run_Detail_Label_StartTime = "dialog.run.detail.label.starttime";
	public static String dialog_Run_Detail_Label_State = "dialog.run.detail.label.state";
	public static String dialog_Run_Detail_Label_Bind_Name = "dialog.run.detail.label.bind.name";
	public static String dialog_Run_Detail_Label_Bind_Type = "dialog.run.detail.label.bind.type";
	public static String dialog_Run_Detail_Label_Bind_Url = "dialog.run.detail.label.bind.url";
	public static String dialog_Run_Detail_Label_Bind_Model = "dialog.run.detail.label.bind.model";

	// Add service Dialog
	public static String Dialog_Service_Add_Title = "dialog.service.add.title";
	public static String Dialog_Service_Add_Label_Version = "dialog.service.add.label.version";
	public static String Dialog_Service_Add_Label_Type = "dialog.service.add.label.type";
	public static String Dialog_Service_Add_Label_Url = "dialog.service.add.label.url";
	public static String Dialog_Service_Add_Label_Name = "dialog.service.add.label.name";
	public static String Dialog_Service_Add_Msg_Url_Wrong = "dialog.service.add.msg.wrong.url";
	public static String Dialog_Service_Add_Msg_Nul_Url = "dialog.service.add.msg.nul.url";
	public static String Dialog_Service_Add_Msg_Nul_Name = "dialog.service.add.msg.nul.name";

	// Serarch Service Dialog
	public static String Dialog_Service_Search_Title = "dialog.service.search.title";
	public static String Dialog_Service_Search_Label = "dialog.service.search.label";

	public static String Dialog_Msg_NoModel = "dialog.msg.noModel";
	public static String Dialog_Msg_Exit_Title = "dialog.msg.exit.title";
	public static String Dialog_Msg_Exit_Msg = "dialog.msg.exit.msg";
	public static String Dialog_Msg_Delete_Msg = "dialog.msg.delete.msg";
	public static String Dialog_Msg_Delete_Title = "dialog.msg.delete.title";
	public static String Dialog_Msg_Clear_Msg = "dialog.msg.clear.msg";
	public static String Dialog_Msg_Detail_Fault = "dialog.msg.detail.fault";
	public static String Dialog_Msg_Detail_Wrong_Click = "dialog.msg.detail.wrong.click";
	public static String Dialog_Msg_Detail_Wrong_ID = "dialog.msg.detail.wrong.id";
	public static String Dialog_Msg_Input_Wrong_Click = "dialog.msg.input.wrong.click";

	public static String Dialog_Input_Tab_Title = "dialog.input.tab.title";
	public static String Dialog_Input_Tab_Msg = "dialog.input.tab.msg";

	public static String Dialog_Msg_Create_Flow_Wrong_Start = "dialog.msg.create.flow.wrong.start";
	public static String Dialog_Msg_Create_Flow_Wrong_End = "dialog.msg.create.flow.wrong.end";
	public static String Dialog_Msg_Create_Flow_Wrong_Merge = "dialog.msg.create.flow.wrong.merge";
	public static String Dialog_Input_Create_Flow_Msg = "dialog.msg.create.flow.input.mgs";
	public static String Dialog_Input_Create_Flow_Title = "dialog.msg.create.flow.input.title";

	public static String Dialog_Msg_Export_Wrong_Format = "dialog.msg.export.wrong.format";

	public static String Dialog_Msg_Merge_Wrong_Two = "dialog.msg.merge.wrong.two";
	public static String Dialog_Msg_Merge_Wrong_Result = "dialog.msg.merge.wrong.result";
	public static String Dialog_Msg_Merge_Wrong_Data = "dialog.msg.merge.wrong.data";
	public static String Dialog_Msg_Merge_Wrong_Deffer = "dialog.msg.merge.wrong.differ";

	public static String Dialog_Msg_Model_Wrong_NulName = "dialog.msg.model.wrong.nulname";

	public static String Dialog_Msg_Net_Wrong_Url = "dialog.msg.net.wrong.url";

	public static String Dialog_Msg_File_Exist_Msg = "dialog.msg.file.exist.msg";
	public static String Dialog_Msg_File_Exist_Title = "dialog.msg.file.exist.title";

}
