/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.model;

/**
 * Meta data of model container.
 * 
 * @author Mingda Zhang
 * 
 */
public class ChainMeta {

	protected String uuid;
	protected String name;
	protected String _abstract;
	protected String keyword;
	protected Provider provider;

	/**
	 * Gets id of the model container.
	 */
	public String getUUID() {
		return uuid;
	}

	/**
	 * Sets id.
	 * 
	 * @param value
	 */
	public void setUUID(String value) {
		this.uuid = value;
	}

	/**
	 * Gets name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets name.
	 * 
	 * @param value
	 */
	public void setName(String value) {
		this.name = value;
	}

	/**
	 * Gets abstract.
	 */
	public String getAbstract() {
		return _abstract;
	}

	/**
	 * Sets abstract.
	 * 
	 * @param value
	 */
	public void setAbstract(String value) {
		this._abstract = value;
	}

	/**
	 * Gets key words.
	 */
	public String getKeyword() {
		return keyword;
	}

	/**
	 * Sets key words.
	 * 
	 * @param value
	 */
	public void setKeyword(String value) {
		this.keyword = value;
	}

	/**
	 * Gets Provider.
	 */
	public Provider getProvider() {
		return provider;
	}

	/**
	 * Sets Provider.
	 * 
	 * @param value
	 */
	public void setProvider(Provider value) {
		this.provider = value;
	}

	/**
	 * The information of provider.
	 * 
	 * @author Mingda Zhang
	 * 
	 */
	public class Provider {
		/** name of provider. */
		protected String name;
		/** address of provider. */
		protected String address;

		/**
		 * Gets name.
		 */
		public String getName() {
			return name;
		}

		/**
		 * Sets name.
		 * 
		 * @param value
		 */
		public void setName(String value) {
			this.name = value;
		}

		/**
		 * Gets address.
		 */
		public String getAddress() {
			return address;
		}

		/**
		 * Sets address.
		 * 
		 * @param value
		 */
		public void setAddress(String value) {
			this.address = value;
		}

	}
}
