/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.sensorweb.sos.beans;

/**
 * Sensor position.
 * 
 * @author Mingda Zhang
 * 
 */
public class SensorPosition {
	/** value of northing */
	private double northing;
	/** value of easting */
	private double easting;
	/** value of altitude */
	private double altitude;
	/** unit of northing */
	private String northingUom;
	/** unit of easting */
	private String eastingUom;
	/** unit of altitude */
	private String altitudeUom;

	/**
	 * Gets northing value.
	 * 
	 * @return
	 */
	public double getNorthing() {
		return northing;
	}

	/**
	 * Sets northing value.
	 * 
	 * @param northing
	 */
	public void setNorthing(double northing) {
		this.northing = northing;
	}

	/**
	 * Gets easting value.
	 * 
	 * @return
	 */
	public double getEasting() {
		return easting;
	}

	/**
	 * Sets easting value.
	 * 
	 * @param easting
	 */
	public void setEasting(double easting) {
		this.easting = easting;
	}

	/**
	 * Gets altitude value.
	 * 
	 * @return
	 */
	public double getAltitude() {
		return altitude;
	}

	/**
	 * Sets altitude value.
	 * 
	 * @param altitude
	 */
	public void setAltitude(double altitude) {
		this.altitude = altitude;
	}

	/**
	 * Gets northing unit.
	 * 
	 * @return
	 */
	public String getNorthingUom() {
		return northingUom;
	}

	/**
	 * Sets northing unit.
	 * 
	 * @param northingUom
	 */
	public void setNorthingUom(String northingUom) {
		this.northingUom = northingUom;
	}

	/**
	 * Gets easting unit.
	 * 
	 * @return
	 */
	public String getEastingUom() {
		return eastingUom;
	}

	/**
	 * Sets easting unit.
	 * 
	 * @param eastingUom
	 */
	public void setEastingUom(String eastingUom) {
		this.eastingUom = eastingUom;
	}

	/**
	 * Gets altitude unit.
	 * 
	 * @return
	 */
	public String getAltitudeUom() {
		return altitudeUom;
	}

	/**
	 * Sets altitude unit.
	 * 
	 * @param altitudeUom
	 */
	public void setAltitudeUom(String altitudeUom) {
		this.altitudeUom = altitudeUom;
	}

}
