/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.sensorweb.wns.ui;

import java.awt.Dimension;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

import org.apache.log4j.Logger;

import cn.edu.whu.lmars.sensorweb.wns.beans.WNSUser;
import cn.edu.whu.lmars.sensorweb.wns.util.WNSUtil;
import cn.edu.whu.lmars.utils.BaseTool;

/**
 * Adds WNS User Dialog.
 * 
 * @author Mingda Zhang
 * 
 */
@Deprecated
public class AddUserDialog extends JDialog implements ActionListener {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JTextField nameTextField = null;
	private JLabel jLabel1 = null;
	private JTextField emailTextField = null;
	private JButton confirmBtn = null;
	private JButton concelBtn = null;
	private List<WNSUser> userList = null;
	private String url;
	private JLabel jLabel = null;
	private JButton finish = null;
	private Logger logger = Logger.getLogger(AddUserDialog.class); // @jve:decl-index=0:

	/**
	 * This method initializes nameTextField
	 * 
	 * @return javax.swing.JTextField
	 */
	private JTextField getNameTextField() {
		if (nameTextField == null) {
			nameTextField = new JTextField();
			nameTextField.setBounds(new Rectangle(96, 20, 175, 26));
			nameTextField.setFont(new Font("Dialog", Font.PLAIN, 14));
		}
		return nameTextField;
	}

	/**
	 * This method initializes emailTextField
	 * 
	 * @return javax.swing.JTextField
	 */
	private JTextField getEmailTextField() {
		if (emailTextField == null) {
			emailTextField = new JTextField();
			emailTextField.setFont(new Font("Dialog", Font.PLAIN, 14));
			emailTextField.setSize(new Dimension(175, 26));
			emailTextField.setLocation(new Point(96, 64));
		}
		return emailTextField;
	}

	/**
	 * This method initializes confirmBtn
	 * 
	 * @return javax.swing.JButton
	 */
	private JButton getConfirmBtn() {
		if (confirmBtn == null) {
			confirmBtn = new JButton();
			confirmBtn.setBounds(new Rectangle(20, 110, 70, 30));
			confirmBtn.setFont(new Font("Dialog", Font.BOLD, 14));
			confirmBtn.setText("OK");
			confirmBtn.setActionCommand("confirm");
			confirmBtn.addActionListener(this);
		}
		return confirmBtn;
	}

	/**
	 * This method initializes concelBtn
	 * 
	 * @return javax.swing.JButton
	 */
	private JButton getConcelBtn() {
		if (concelBtn == null) {
			concelBtn = new JButton();
			concelBtn.setText("Concel");
			concelBtn.setBounds(new Rectangle(102, 110, 85, 30));
			concelBtn.setFont(new Font("Dialog", Font.BOLD, 14));
			confirmBtn.setFont(new Font("Dialog", Font.BOLD, 14));
			concelBtn.setActionCommand("concel");
			concelBtn.addActionListener(this);
		}
		return concelBtn;
	}

	/**
	 * This method initializes finish
	 * 
	 * @return javax.swing.JButton
	 */
	private JButton getFinish() {
		if (finish == null) {
			finish = new JButton();
			finish.setBounds(new Rectangle(194, 110, 77, 30));
			confirmBtn.setFont(new Font("Dialog", Font.BOLD, 14));
			finish.setText("Finish");
			finish.setFont(new Font("Dialog", Font.BOLD, 14));
			finish.setActionCommand("finish");
			finish.addActionListener(this);
		}
		return finish;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

	/**
	 * @param owner
	 */
	public AddUserDialog(Frame owner, List<WNSUser> userList, String url) {
		super(owner);
		initialize();
		this.userList = userList;
		this.url = url;
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(316, 200);
		this.setTitle("Add WNS User");
		this.setContentPane(getJContentPane());
		this.setLocationRelativeTo(null);
		this.setModal(true);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(7, 20, 60, 31));
			jLabel.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel.setHorizontalAlignment(SwingConstants.RIGHT);
			jLabel.setText("Name:");
			jLabel1 = new JLabel();
			jLabel1.setBounds(new Rectangle(7, 59, 60, 31));
			jLabel1.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel1.setHorizontalAlignment(SwingConstants.RIGHT);
			jLabel1.setText("Email:");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getNameTextField(), null);
			jContentPane.add(jLabel1, null);
			jContentPane.add(getEmailTextField(), null);
			jContentPane.add(getConfirmBtn(), null);
			jContentPane.add(getConcelBtn(), null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getFinish(), null);
		}
		return jContentPane;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		String str = e.getActionCommand();

		if (str.equals("confirm")) {
			String name = this.nameTextField.getText();
			String email = this.emailTextField.getText();
			if (name.equals("") || email.equals("")) {
				JOptionPane.showMessageDialog(null,
						"Please finish information.");

				return;
			}
			logger.info("Add WNS user,name:" + name + ",email:" + email);
			String id = WNSUtil.register(name, email, url);
			if (!BaseTool.isNull(id)) {
				WNSUser user = new WNSUser(id, name, email);
				userList.add(user);
				JOptionPane.showMessageDialog(null, "WNS User ID:" + id);
			} else {
				JOptionPane.showMessageDialog(null, "Failed to add.");
			}
			// this.dispose();
		} else if (str.equals("concel")) {
			this.userList.clear();
			this.dispose();
		} else if (str.equals("finish")) {
			this.dispose();
		}
	}

}
