/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.adapter.base;

import cn.edu.whu.lmars.service.meta.ParameterMeta;

/**
 * Defines the requirements for an object that describes parameter information.
 * 
 * @author Mingda Zhang
 * 
 */
public interface IParameterInfo {

	/**
	 * Gets the name of parameter.
	 * 
	 * @return the name of parameter.
	 */
	public String getName();

	/**
	 * Sets the name of parameter.
	 * 
	 * @param name
	 *            the name of parameter.
	 */
	public void setName(String name);

	/**
	 * Sets parameter metadata.
	 * 
	 * @param meta
	 *            parameter metadata.
	 */
	public void setMeta(ParameterMeta meta);

	/**
	 * Gets parameter metadata.
	 * 
	 * @return parameter metadata.
	 */
	public ParameterMeta getMeta();

}
