/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.adapter.base.impl;

import java.util.ArrayList;
import java.util.List;

import cn.edu.whu.lmars.service.adapter.base.IOperationInfo;
import cn.edu.whu.lmars.service.adapter.base.IParameterInfo;
import cn.edu.whu.lmars.service.meta.IOperationMeta;

/**
 * Implementation of the interface IOperationInfo.
 * 
 * @author Mingda Zhang
 * 
 */

public class OperationInfoImpl implements IOperationInfo {
	private String name;
	private List<IParameterInfo> parameterInfos = new ArrayList<IParameterInfo>();
	private List<IParameterInfo> outputParameterInfos = new ArrayList<IParameterInfo>();
	private IOperationMeta meta;

	@Override
	public String getName() {
		return name;
	}

	@Override
	public void setName(String name) {
		this.name = name;
	}

	@Override
	public IOperationMeta getMeta() {
		return meta;
	}

	@Override
	public void setMeta(IOperationMeta meta) {
		this.meta = meta;
	}

	@Override
	public void setInputParameters(List<IParameterInfo> inputParamInfos) {
		this.parameterInfos = inputParamInfos;
	}

	@Override
	public List<IParameterInfo> getInputParameterInfos() {
		return parameterInfos;
	}

	@Override
	public IParameterInfo getIParameterInfo(String parameterName) {
		for (IParameterInfo parameterInfo : parameterInfos) {
			if (parameterInfo.getName().equals(parameterName)) {
				return parameterInfo;
			}
		}
		return null;
	}

	@Override
	public void setOutputParameters(List<IParameterInfo> outputParameterInfos) {
		this.outputParameterInfos = outputParameterInfos;
	}

	@Override
	public List<IParameterInfo> getOutputParameters() {
		return outputParameterInfos;
	}
}
