/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.adapter.base.impl;

import java.util.ArrayList;
import java.util.List;

import cn.edu.whu.lmars.service.adapter.base.IOperationInfo;
import cn.edu.whu.lmars.service.adapter.base.IServiceInfo;
import cn.edu.whu.lmars.service.meta.ServiceMeta;

/**
 * Implementation of the interface IServiceInfo.
 * 
 * @author Mingda Zhang
 * 
 */

public class ServiceInfoImpl implements IServiceInfo {
	private ServiceMeta meta;
	private String describe_uri, execute_uri;
	private List<IOperationInfo> operationStores = new ArrayList<IOperationInfo>();
	private List<String> operationgList = new ArrayList<String>();

	@Override
	public ServiceMeta getMetadata() {
		return meta;
	}

	@Override
	public void SetServiceMeta(ServiceMeta serviceMeta) {
		this.meta = serviceMeta;
	}

	@Override
	public IOperationInfo getOperationInfo(String operationName) {
		for (IOperationInfo operationInfo : operationStores) {
			if (operationInfo.getName().equals(operationName)) {
				return operationInfo;
			}
		}
		return null;
	}

	@Override
	public String getDescribeURI() {
		return describe_uri;
	}

	@Override
	public void setDescribeURI(String describe_uri) {
		this.describe_uri = describe_uri;
	}

	@Override
	public String getExecuteURI() {
		return execute_uri;
	}

	@Override
	public void setExcuteURI(String execute_uri) {
		this.execute_uri = execute_uri;
	}

	@Override
	public List<String> getOperationList() {
		return operationgList;
	}

	@Override
	public void setOperationList(List<String> operationList) {
		this.operationgList = operationList;
	}

	@Override
	public void addOperationInfo(IOperationInfo operationInfo) {
		this.operationStores.add(operationInfo);
	}

}
