/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.beans;

/**
 * Defines the requirements for an object that describes a service.
 * 
 * @author Mingda Zhang
 * 
 */
public interface IService {
	/**
	 * Gets service address.
	 * 
	 * @return service address.
	 */
	String getUrl();

	/**
	 * Sets service address.
	 * 
	 * @param url
	 *            service address.
	 */
	void setUrl(String url);

	/**
	 * Gets service version.
	 * 
	 * @return service version.
	 */
	String getVersion();

	/**
	 * Sets service version.
	 * 
	 * @param version
	 *            service version.
	 */
	void setVersion(String version);

	/**
	 * Sets service type.
	 * 
	 * @param serviceType
	 */
	void setServiceType(ServiceType serviceType);

	/**
	 * Gets service type.
	 * 
	 * @return service type.
	 */
	ServiceType getServiceType();

	/**
	 * Gets service name.
	 * 
	 * @return
	 */
	String getName();

	/**
	 * Sets service name.
	 * 
	 * @param name
	 */
	void setName(String name);

	/**
	 * Gets service id.
	 * 
	 * @return
	 */
	String getId();

	/**
	 * Sets service id.
	 * 
	 * @param id
	 *            service id.
	 */
	void setId(String id);
}
