/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.meta;

/**
 * Defines the requirements for operation meta.
 * 
 * @author Mingda Zhang
 * 
 */
public interface IOperationMeta {
	/**
	 * Gets title of operation.
	 * 
	 * @return title of operation.
	 */
	public String get_title();

	/**
	 * Sets title of operation.
	 * 
	 * @param _title
	 *            title of operation.
	 */
	public void set_title(String _title);

	/**
	 * Gets abstract of operation.
	 * 
	 * @return abstract of operation.
	 */
	public String get_abstract();

	/**
	 * Sets abstract of operation.
	 * 
	 * @param _abstract
	 *            abstract of operation.
	 */
	public void set_abstract(String _abstract);
}
