/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.meta;

/**
 * Parameter metadata.
 * 
 * @author Mingda Zhang
 * 
 */
public class ParameterMeta {
	private String _type, _minoccurs, _maxoccurs, _abstract, _title,
			_allowValue;

	/**
	 * Gets the type of parameter.
	 * 
	 * @return
	 */
	public String get_type() {
		return _type;
	}

	/**
	 * Sets the type of parameter. ComplexData or one kind of LiteralData,such
	 * as xs:string.
	 * 
	 * @param _type
	 */
	public void set_type(String _type) {
		this._type = _type;
	}

	/**
	 * Returns the minimum occurring of this parameter.
	 * 
	 * @return
	 */
	public String get_minoccurs() {
		return _minoccurs;
	}

	/**
	 * Sets the minimum occurring of this parameter.
	 * 
	 * @param _minoccurs
	 */
	public void set_minoccurs(String _minoccurs) {
		this._minoccurs = _minoccurs;
	}

	/**
	 * Returns the maximum occurring of this parameter.
	 * 
	 * @return
	 */
	public String get_maxoccurs() {
		return _maxoccurs;
	}

	/**
	 * Sets the maximum occurring of this parameter.
	 * 
	 * @param _maxoccurs
	 */
	public void set_maxoccurs(String _maxoccurs) {
		this._maxoccurs = _maxoccurs;
	}

	/**
	 * Gets abstract of the parameter.
	 * 
	 * @return
	 */
	public String get_abstract() {
		return _abstract;
	}

	/**
	 * Sets abstract of the parameter.
	 * 
	 * @param _abstract
	 */
	public void set_abstract(String _abstract) {
		this._abstract = _abstract;
	}

	/**
	 * Gets title of the parameter.
	 * 
	 * @return
	 */
	public String get_title() {
		return _title;
	}

	/**
	 * Sets title of the parameter.
	 * 
	 * @param _title
	 */
	public void set_title(String _title) {
		this._title = _title;
	}

	/**
	 * Sets allowing value.
	 * 
	 * @return
	 */
	public String get_allowValue() {
		return _allowValue;
	}

	/**
	 * Gets allowing value.
	 * 
	 * @param _allowValue
	 */
	public void set_allowValue(String _allowValue) {
		this._allowValue = _allowValue;
	}

}
