/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.meta;

/**
 * Service metadata.
 * 
 * @author Mingda Zhang
 * 
 */
public class ServiceMeta {
	/** service title */
	private String _title;
	/** service abstract */
	private String _abstract;
	/** service online resource */
	private String _onlineresource;
	/** service key words */
	private String _keywords;
	/** service version */
	private String _version;
	/** service type */
	private String _type;
	/** service provider */
	private ServiceProvider sp;

	/**
	 * Gets service title.
	 * 
	 * @return
	 */
	public String get_title() {
		return _title;
	}

	/**
	 * Sets service title.
	 * 
	 * @return
	 */
	public void set_title(String _title) {
		this._title = _title;
	}

	/**
	 * Gets service abstract.
	 * 
	 * @return
	 */
	public String get_abstract() {
		return _abstract;
	}

	/**
	 * Sets service abstract.
	 */
	public void set_abstract(String _abstract) {
		this._abstract = _abstract;
	}

	/**
	 * Gets service online resource.
	 * 
	 * @return
	 */
	public String get_onlineresource() {
		return _onlineresource;
	}

	/**
	 * Sets service online resource.
	 */
	public void set_onlineresource(String _onlineresource) {
		this._onlineresource = _onlineresource;
	}

	/**
	 * Gets service key words.
	 * 
	 * @return
	 */
	public String get_keywords() {
		return _keywords;
	}

	/**
	 * Sets service key words.
	 * 
	 * @param _keywords
	 */
	public void set_keywords(String _keywords) {
		this._keywords = _keywords;
	}

	/**
	 * Gets service provider.
	 * 
	 * @return
	 */
	public ServiceProvider getSp() {
		return sp;
	}

	/**
	 * Sets service provider.
	 * 
	 * @param sp
	 */
	public void setSp(ServiceProvider sp) {
		this.sp = sp;
	}

	/**
	 * Gets service version.
	 * 
	 * @return
	 */
	public String get_version() {
		return _version;
	}

	/**
	 * Gets service type.
	 * 
	 * @return
	 */
	public String get_type() {
		return _type;
	}

	/**
	 * Sets service version.
	 * 
	 * @param _version
	 */
	public void set_version(String _version) {
		this._version = _version;
	}

	/**
	 * Sets service type.
	 * 
	 * @param _type
	 */
	public void set_type(String _type) {
		this._type = _type;
	}

}
