/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.meta;

/**
 * Service provider.
 * 
 * @author Mingda Zhang
 * 
 */
public class ServiceProvider {
	/** service provider name */
	private String providername;
	/** service contact */
	private ServiceContact sc;

	/**
	 * Gets service provider name.
	 * 
	 * @return
	 */
	public String getProvidername() {
		return providername;
	}

	/**
	 * Sets service provider name.
	 * 
	 * @param providername
	 */
	public void setProvidername(String providername) {
		this.providername = providername;
	}

	/**
	 * Gets service contact.
	 * 
	 * @return
	 */
	public ServiceContact getSc() {
		return sc;
	}

	/**
	 * Sets service contact.
	 * 
	 * @param sc
	 */
	public void setSc(ServiceContact sc) {
		this.sc = sc;
	}

	/**
	 * Service contact.
	 * 
	 * @author Mingda Zhang
	 * 
	 */
	public class ServiceContact {

		/** Address of contact. */
		private Address ad;
		/** individual name of contact. */
		private String individualname;
		/** Position of contact. */
		private String positionname;

		/**
		 * Gets individual name.
		 * 
		 * @return
		 */
		public String getIndividualname() {
			return individualname;
		}

		/**
		 * Sets individual name.
		 * 
		 * @param individualname
		 */
		public void setIndividualname(String individualname) {
			this.individualname = individualname;
		}

		/**
		 * Gets position name.
		 * 
		 * @return
		 */
		public String getPositionname() {
			return positionname;
		}

		/**
		 * Sets position name.
		 * 
		 * @param positionname
		 */
		public void setPositionname(String positionname) {
			this.positionname = positionname;
		}

		/**
		 * Gets address of the contact.
		 * 
		 * @return
		 */
		public Address getAd() {
			return ad;
		}

		/**
		 * Sets address of the contact.
		 * 
		 * @param ad
		 */
		public void setAd(Address ad) {
			this.ad = ad;
		}

		/**
		 * Address.
		 * 
		 * @author Mingda Zhang
		 * 
		 */
		public class Address {
			/** city name */
			private String _city;
			/** country name */
			private String _country;
			/** email */
			private String _electronicmailaddress;

			/**
			 * Gets city name.
			 * 
			 * @return
			 */
			public String get_city() {
				return _city;
			}

			/**
			 * Sets city name.
			 * 
			 * @param _city
			 */
			public void set_city(String _city) {
				this._city = _city;
			}

			/**
			 * Gets country name.
			 * 
			 * @return
			 */
			public String get_country() {
				return _country;
			}

			/**
			 * Sets country name.
			 * 
			 * @param _country
			 */
			public void set_country(String _country) {
				this._country = _country;
			}

			/**
			 * Gets email.
			 * 
			 * @return
			 */
			public String get_electronicmailaddress() {
				return _electronicmailaddress;
			}

			/**
			 * Sets email.
			 * 
			 * @param _electronicmailaddress
			 */
			public void set_electronicmailaddress(String _electronicmailaddress) {
				this._electronicmailaddress = _electronicmailaddress;
			}

		}
	}
}
