/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.utils;

import java.util.List;

import cn.edu.whu.lmars.service.adapter.AdapterFactory;
import cn.edu.whu.lmars.tree.nodes.ServiceTreeNode;
import cn.edu.whu.lmars.tree.ui.TreeScrollPanel;

/**
 *	Initializes the adapters.
 * 
 * @author Mingda Zhang
 *
 */
public class AdapterInitThread extends Thread {
	private TreeScrollPanel treePanel;
	public AdapterInitThread(TreeScrollPanel treePanel){
		this.treePanel = treePanel;
	}
	
	
	@Override
	public void run() {
		// TODO Auto-generated method stub
		List<ServiceTreeNode> serviceList = this.treePanel.getWPSServiceNode();
		for(ServiceTreeNode serviceNode:serviceList){
			AdapterFactory.getInstance().getAdapter(serviceNode);
		}
		serviceList = this.treePanel.getSOSServiceNode();
		for(ServiceTreeNode serviceNode:serviceList){
			AdapterFactory.getInstance().getAdapter(serviceNode);
		}
		serviceList = this.treePanel.getWFSServiceNode();
		for(ServiceTreeNode serviceNode:serviceList){
			AdapterFactory.getInstance().getAdapter(serviceNode);
		}
	}

}
