/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.utils;

import java.awt.Desktop;
import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;

import javax.swing.JOptionPane;

import conf.GlobeParam;

/**
 * Processes network-related operations.
 * 
 * @author Mingda Zhang
 * 
 */
public class NetUtil {
	/**
	 * Returns true if the service address is valid.
	 * 
	 * @param serviceUrl
	 *            service address.
	 * @return
	 */
	public static boolean validUrl(String serviceUrl) {
		URL urlStr;
		int counts = 1, state;
		HttpURLConnection connection;
		while (counts < 2) {
			try {
				urlStr = new URL(serviceUrl);
				connection = (HttpURLConnection) urlStr.openConnection();
				state = connection.getResponseCode();
				if (state == 200) {
					return true;
				}
			} catch (Exception ex) {
				counts++;
				continue;
			}
		}
		return false;
	}
	
	/**
	 * Opens the uri in the browser.
	 * @param url
	 */
	public static void viewToWeb(String url){
		URI uri = null;
		Desktop desktop = Desktop.getDesktop();
		boolean flag = Desktop.isDesktopSupported() && desktop.isSupported(Desktop.Action.BROWSE);
		
		if (!flag) {
			JOptionPane.showMessageDialog(GlobeParam.getClient(),"Not supported, please visit "+url+" in the browser.");
			return;
		}
		try {
			uri = new java.net.URI(url);
			java.awt.Desktop.getDesktop().browse(uri);  
		} catch (URISyntaxException e) {
			JOptionPane.showMessageDialog(null, "Can't open "+url);
			e.printStackTrace();
		} catch (IOException e) {
			JOptionPane.showMessageDialog(null, "Can't open "+url);
			e.printStackTrace();
		}  
	}
}
