/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.service.wfs.meta;

import cn.edu.whu.lmars.service.meta.IOperationMeta;

/**
 * WFS metadata.
 * 
 * @author Mingda Zhang
 * 
 */
public class WFSDataMeta implements IOperationMeta {
	private String title;
	private String _abstract;
	/** namespace of data. */
	private String workspace;
	/** SRS of data. */
	private String defaultSRS;
	/** key words of data. */
	private String keyWord;
	/** Range of data. */
	private String[] boudingBox = new String[4];

	@Override
	public String get_title() {
		return title;
	}

	@Override
	public void set_title(String _title) {
		this.title = _title;
	}

	@Override
	public String get_abstract() {
		return _abstract;
	}

	@Override
	public void set_abstract(String _abstract) {
		this._abstract = _abstract;
	}

	/**
	 * Gets namespace of the data.
	 * 
	 * @return
	 */
	public String getWorkspace() {
		return workspace;
	}

	/**
	 * Sets namespace of the data.
	 * 
	 * @param workspace
	 */
	public void setWorkspace(String workspace) {
		this.workspace = workspace;
	}

	/**
	 * Gets SRS of the data.
	 * 
	 * @return
	 */
	public String getDefaultSRS() {
		return defaultSRS;
	}

	/**
	 * Sets SRS of the data.
	 * 
	 * @param defaultSRS
	 *            SRS to be setted.
	 */
	public void setDefaultSRS(String defaultSRS) {
		this.defaultSRS = defaultSRS;
	}

	/**
	 * Gets range of the data.
	 * 
	 * @return
	 */
	public String[] getBoudingBox() {
		return boudingBox;
	}

	/**
	 * Sets range of the data.
	 * 
	 * @param boudingBox
	 *            range
	 */
	public void setBoudingBox(String[] boudingBox) {
		this.boudingBox = boudingBox;
	}

	/**
	 * Gets key words of the data.
	 * 
	 * @return
	 */
	public String getKeyWord() {
		return keyWord;
	}

	/**
	 * Sets key words of the data.
	 * 
	 * @param keyWord
	 *            key words
	 */
	public void setKeyWord(String keyWord) {
		this.keyWord = keyWord;
	}

}
