/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.starter;

import java.io.IOException;
import java.io.InputStream;
import java.util.Locale;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

import cn.edu.whu.lmars.utils.FileTool;

import conf.PathConf;

/**
 * Initializes the environment when the application starts.
 * 
 * @author Zhang Mingda
 *
 */
public class InitParam {

	public void execute(){
		//Set default language.
		Locale.setDefault(new Locale("en","US"));
		InputStream inputStream = FileTool.getStreamFromResource(PathConf.LOG4J);
        PropertyConfigurator.configure(inputStream);
        if (inputStream!=null) {
			try {
				inputStream.close();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
        Logger logger = Logger.getLogger(this.getClass());
        logger.info("Start the logger");
        //Grass environment
        // ServiceInit serviceInit = new ServiceInit();
        // serviceInit.execute();
	}
}
