/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.tree.nodes;

import javax.swing.tree.DefaultMutableTreeNode;

import cn.edu.whu.lmars.service.beans.ServiceType;

/**
 * Common tree node.
 * 
 * @author Mingda Zhang
 * 
 */
public class TreeNodeImpl extends DefaultMutableTreeNode {

	private static final long serialVersionUID = 1L;
	/** the name of tree node */
	protected String name;
	/** Service type */
	protected ServiceType serviceType;

	public TreeNodeImpl(String name) {
		super(name);
		setName(name);
	}

	/**
	 * Gets the name of tree node.
	 * 
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name of tree node.
	 * 
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Sets the type of tree node.
	 * 
	 * @param serviceType
	 */
	public void setServiceType(ServiceType serviceType) {
		this.serviceType = serviceType;
	}

	/**
	 * Gets the type of tree node.
	 * 
	 * @return
	 */
	public ServiceType getServiceType() {
		return serviceType;
	}

}
