/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.worldwind.datatree;

/**
 * The class DataLayer. Stores layer information.
 * 
 * @author Mingda Zhang
 * 
 */
public class DataLayerInfo {

	/** The name of the layer. */
	private String name;
	/** Id of layer related to a modeling workspace. */
	private String uuid;
	/** The path of file. */
	private String path;

	/**
	 * Returns the name of layer.
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name of layer.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Returns the id of the layer.
	 */
	public String getUuid() {
		return uuid;
	}

	/**
	 * Sets the id of the layer.
	 */
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	/**
	 * Returns the path of file.
	 */
	public String getPath() {
		return path;
	}

	/**
	 * Sets the path of file.
	 * 
	 * @param path
	 *            the path of file.
	 */
	public void setPath(String path) {
		this.path = path;
	}

	/**
	 * Path of file will show in JComboBox.
	 */
	@Override
	public String toString() {
		return path;
	}
}
