/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.worldwind.formats;

import java.io.File;

import cn.edu.whu.lmars.worldwind.datatree.DataLayerInfo;
import cn.edu.whu.lmars.worldwind.ui.WWDPanel;

/**
 * Defines the requirements for an file loader.
 * 
 * @author Mingda Zhang
 */
public interface IFileLoad {
	/**
	 * Sets the file to load.
	 * 
	 * @param file
	 */
	void setFile(File file);

	/**
	 * Loads file.
	 * 
	 * @return
	 */
	boolean execute();

	/**
	 * Sets WWDPanel which receives data layer.
	 * 
	 * @param wwdPanel
	 */
	void setWWDPanel(WWDPanel wwdPanel);

	/**
	 * Sets DataNode witch contains data information.
	 * 
	 * @param dataNode
	 */
	void setDataNode(DataLayerInfo dataNode);

	/**
	 * Gets data node.
	 * 
	 * @return
	 */
	DataLayerInfo getDataNode();
}
