/****************************************************************************
 * Copyright (C) 2013
 * by State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 
 * Contact: Peng Yue
 * State Key Laboratory of Information Engineering in Surveying, Mapping and Remote Sensing(LIESMARS), Wuhan University
 * 129 Luoyu Road, Wuhan, Hubei, China, 430079
 * pyue@whu.edu.cn
 *
 * This program is free software; you can redistribute and/or modify it under 
 * the terms of the GNU General Public License version 2 as published by the 
 * Free Software Foundation.
 * Free Software Foundation web page, http://www.fsf.org.
 * 
 * This program is distributed WITHOUT ANY WARRANTY; even without the implied
 * WARRANTY OF MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * 
 * Authors: Mingda Zhang, Peng Yue
 * Created: 24.05.2013
 *****************************************************************************/
package cn.edu.whu.lmars.worldwind.ui;

import java.awt.Font;
import java.awt.Frame;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.WindowConstants;

import conf.GlobeParam;

public class DownloadMonitorDialog extends JDialog implements ActionListener{

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JLabel jLabel = null;
	private JButton jButton = null;
	private static DownloadMonitorDialog instance = null;
	/**
	 * This method initializes jButton.	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new Rectangle(99, 51, 83, 29));
			jButton.setActionCommand("ok");
			jButton.addActionListener(this);
			jButton.setText("OK ");
		}
		return jButton;
	}
	/**
	 * @param owner
	 */
	private DownloadMonitorDialog(Frame owner) {
		super(owner);
		initialize();
	}

	public static DownloadMonitorDialog getInstance(){
		if (instance == null) {
			instance = new DownloadMonitorDialog(GlobeParam.getClient());
		}
		return instance;
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300, 124);
		this.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		this.setResizable(false);
		this.setTitle("Downloading");
		this.setContentPane(getJContentPane());
		this.setLocationRelativeTo(null);
		this.setModal(false);
	}

	public void setMessage(String msg){
		this.jLabel.setText(msg);
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setBounds(new Rectangle(21, 12, 238, 29));
			jLabel.setFont(new Font("Dialog", Font.BOLD, 14));
			jLabel.setText("Downloading file.");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJButton(), null);
		}
		return jContentPane;
	}

	public static void main(String[] args){
		DownloadMonitorDialog dialog = new DownloadMonitorDialog(null);
		dialog.setVisible(true);
	}
	@Override
	public void actionPerformed(ActionEvent e) {
		// TODO Auto-generated method stub
		String str = e.getActionCommand();
		if (str.equals("ok")) {
			if (instance!=null) {
				instance.dispose();
				instance = null;
			}
		}
	}
}  
