package conf;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import cn.edu.whu.lmars.utils.FileTool;

/**
 * Gets file loader class by suffix.
 * 
 * @author Mingda Zhang
 * 
 */
public class FileLoadProperty {
	private static FileLoadProperty instance = null;
	private static Properties properties = null;

	private FileLoadProperty() {

	}

	/**
	 * Gets an instance of FileLoadProperty.
	 */
	public static FileLoadProperty getInstance() {
		if (instance == null) {
			instance = new FileLoadProperty();
			InputStream in=null;
			try {
				in = FileTool.getStreamFromResource(PathConf.FILE_LOAD);
				properties = new Properties();
				properties.loadFromXML(in);
			} catch (Exception e) {
				e.printStackTrace();
			}finally{
				if (in!=null) {
					try {
						in.close();
					} catch (IOException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
				}
			}
		}
		return instance;
	}

	/**
	 * Returns the loader class name properties.
	 */
	public Properties getClassNameProperty() {
		return properties;
	}

	public static void main(String[] args) {
		Properties properties = FileLoadProperty.getInstance()
				.getClassNameProperty();
		for (Object set : properties.keySet()) {
			String postfix = set.toString();
			String className = properties.getProperty(postfix);
			System.out.println("key:" + postfix + ",value:" + className);
		}

	}
}
