package conf;

import java.io.InputStream;
import java.util.Properties;

import org.apache.log4j.Logger;

import cn.edu.whu.lmars.utils.FileTool;

/**
 * Gets format properties.
 * 
 * @author Mingda Zhang
 * 
 */
public class FormatProperty {

	private static Properties postfixFormat = new Properties();

	/**
	 * @param args
	 */
	private FormatProperty() {
	}

	private static Logger logger = Logger.getLogger(FormatProperty.class);
	private static FormatProperty instance = null;

	public static FormatProperty getInstance() {
		if (instance == null) {
			try {
				instance = new FormatProperty();
				InputStream xmlDesc = FileTool.getStreamFromResource(PathConf.FORMAT_PROPERTY);
				postfixFormat.load(xmlDesc);
			} catch (Exception e) {
				// TODO: handle exception
				logger.error("Failed to read" + PathConf.FORMAT_PROPERTY);
			}

		}
		return instance;
	}

	public Properties getPostFixProperty() {
		return postfixFormat;
	}

}
