package conf;

import java.awt.Color;
import java.util.ArrayList;

import javax.swing.JTabbedPane;

import cn.edu.whu.lmars.drawpanel.ui.JDrawPanel;
import cn.edu.whu.lmars.figure.beans.AbstractFigure;
import cn.edu.whu.lmars.frame.ui.ClientFrame;
import cn.edu.whu.lmars.worldwind.datatree.DataLayerPanel;
import cn.edu.whu.lmars.worldwind.ui.WWDPanel;

/**
 * This class stores some global constants.
 * 
 * @author Mingda Zhang
 * 
 */

public final class GlobeParam {

	public static final int MARK_WIDTH = 8;
	public static final int LIMIT_AREA = 4;
	public static Color BACKGROUD_COLOR = Color.white;

	public static double ZOOM_SIZE = 0.1;
	// Default figure size
	public static int ZRECT_WIDTH = 90;
	public static int ZRECT_HEIGHT = 60;

	/**
	 * This is used to store temporary figures when creating a flow figure or
	 * resize a figure
	 */
	public static ArrayList<AbstractFigure> TEMPORARY_FIGURES = new ArrayList<AbstractFigure>();// 临时存储中间过程

	/** The id of default JDrawPanel */
	public static final String DEFAULT_UUID = "21b4af93672e4e159cfd7701a2f43e85";

	/** The ClientFrame */
	private static ClientFrame CLIENT = null;

	/**
	 * 
	 * @return cn.edu.whu.lmars.worldwind.ui.WWDPanel
	 */
	public static WWDPanel getWwPanel() {
		return getClient().getWwPanel();
	}

	/**
	 * 
	 * @return cn.edu.whu.lmars.worldwind.datatree.DataLayerPanel
	 */
	public static DataLayerPanel getDataLayerPanel() {
		return GlobeParam.CLIENT.getDataLayerPanel();
	}

	public static void setClient(ClientFrame client) {
		GlobeParam.CLIENT = client;
	}

	/**
	 * 
	 * @return ClientFrame
	 */
	public static ClientFrame getClient() {
		return GlobeParam.CLIENT;
	}

	/**
	 * Gets the current JDrawPanel in the ClientFrame
	 * 
	 * @return JDrawPanel
	 */
	public static JDrawPanel getCurrentJDrawPanel() {
		return getClient().getCurrentJDrawPanel();
	}

	/**
	 * Returns the default JDrawpanel
	 * 
	 * @return JDrawPanel
	 */
	public static JDrawPanel getDefaultJDrawPanel() {
		return getClient().getDefaultDrawPanel();
	}

	/**
	 * Returns the JTabbedPane contains JDrawPanels and WorldWindow
	 * 
	 * @return JTabbedPane
	 */
	public static JTabbedPane getDisplayJTabbedPanel() {
		return GlobeParam.CLIENT.getDisplayJTabbedPanel();
	}

	/**
	 * Returns the JTabbedPane contains service list and layer panel of the
	 * WorldWindow
	 * 
	 * @return JTabbedPane
	 */
	public static JTabbedPane getCatalogJTabbedPanel() {
		return GlobeParam.CLIENT.getCatalogJTabbedPanel();
	}

}
