package conf;

import java.io.File;
import java.util.HashMap;
import java.util.Map;


/**
 * Constants of configuration file path.
 * 
 * @author Mingda Zhang
 * 
 */
public class PathConf {

	public static final String LOG4J = "/conf/log4j.properties";

	public static String Cache_Name = "cache";
	public static final String FILE_LOAD = "/conf/FileLoadConf.xml";
	public static final String SENSOR_WEB = "/conf/SensorWebService.xml";
	public static final String FORMAT_PROPERTY = "/conf/FormatsPostfix.properties";
	
	public static final String WorkSpacePath = "/datas/workspace.xml";

//	public static final String WPS_REQUEST = "/datas/request.xml";
//	public static final String WPS_DESCRIBEPROCESS = "/datas/describeProcess.xml";

	public static final String SERVICE_CONFIG_MODEL = "/datas/serviceConfigs.xml";
	public static final String TAB_CONFIG_MODEL =  "/datas/tabConfigs.xml";
	public static final String Loc_Config_Model = "/datas/loc.xml";

	//WPS
	public static final String WPS_Execute_Template = "/datas/ExecuteRequestTemplate.xml";
	
	//GeoPW WPS
	public static final String GEOPW_WPS_NAME = "http_geopw.whu.edu.cn.8080_wps_WebProcessingService_0.4.0";
	public static final String GEOPW_WPS_Src = "/datas/wps/"+GEOPW_WPS_NAME+"/";
	public static final String GEOPW_WPS_Algorithm = GEOPW_WPS_Src+"geowps.txt";
	
	
//	public static final String SOS_Template = "/datas/sos";
	public static final Map<String,String> SOSTempMap = new HashMap<String, String>(4);
	public static final Map<String,String> SESTempMap = new HashMap<String, String>(5);
	public static final Map<String,String> WNSTempMap = new HashMap<String, String>(5);
	static{
		SOSTempMap.put("DescribeSensor_basicRequest.xml", "/datas/sos/DescribeSensor_basicRequest.xml");
		SOSTempMap.put("GetCapabilities_allSections.xml", "/datas/sos/GetCapabilities_allSections.xml");
		SOSTempMap.put("InsertObservation_categoryObservation.xml", "/datas/sos/InsertObservation_categoryObservation.xml");
		SOSTempMap.put("RegisterSensor_categoryObservation.xml", "/datas/sos/RegisterSensor_categoryObservation.xml");
		SESTempMap.put("notify.xml","/datas/ses/notify.xml");
		SESTempMap.put("subscribe1.xml","/datas/ses/subscribe1.xml");
		SESTempMap.put("subscribe2.xml","/datas/ses/subscribe2.xml");
		SESTempMap.put("SubscribeAll.xml","/datas/ses/SubscribeAll.xml");
		SESTempMap.put("unsubscribe.xml","/datas/ses/unsubscribe.xml");
		WNSTempMap.put("DoNotification.xml","/datas/wns/WNSDoNotification.xml");
		WNSTempMap.put("RegistSingle.xml","/datas/wns/WNSRegistSingle.xml");
		WNSTempMap.put("Unregister.xml","/datas/wns/WNSUnregister.xml");
		WNSTempMap.put("UpdataSingleUser.xml","/datas/wns/WNSUpdateSingleUser.xml");
	}
	
	public static final String SOS_content_request = "/datas/sos/SOSGetCapabilities_content.xml";

	// WNS template file
	public static String WNS_Register =  "/datas/wns/WNSRegistSingle.xml";
	public static String WNS_Unregister ="/datas/wns/WNSUnregister.xml";
	public static String WNS_Update = "/datas/wns/WNSUpdateSingleUser.xml";
	public static String WNS_DoNotification = "/datas/wns/WNSDoNotification.xml";

	// SOS template file
	public static String SOS_Describe_Sensor = "/datas/sos/DescribeSensor_basicRequest.xml";

	// public static String Data_Dir = WORK_PATH+"/datas";

	// Workspace directory
	public static String WORK_PATH = "";

	public static String getDataDir() {
		return WORK_PATH + "/datas";
	}

	public static String getModelDir() {
		return WORK_PATH + "/models";
	}

	public static String getConfDir() {
		return WORK_PATH + "/configs";
	}

	public static String getServicConfDir() {
		return WORK_PATH + "/configs/serviceConfigs.xml";
	}

	public static String getTabConfDir() {
		return WORK_PATH + "/configs/tabConfigs.xml";
	}

	public static String getLocConfDir() {
		return WORK_PATH + "/configs/loc.xml";
	}

	public static String getDbxmlConfDir() {
		return WORK_PATH + "/configs/dbxml";
	}

	// Grass directory.
	public static String GRASS_ParamDir = "/wpsconfig/processes/params";
	public static String GRASS_Address = "local_grass";
	public static String Grass_type = "grass";

	public static String getCurrentWorkingDirectory() {
		String dir = System.getProperty("user.dir");
		return (dir != null) ? dir : ".";
	}

	public static String getUserHomeDirectory() {
		String dir = System.getProperty("user.home");
		return (dir != null) ? dir : ".";
	}

	public static String getWorkspaceListPath(){
		return getCurrentWorkingDirectory()+File.separator+"workspace.xml";
	}
	public static void main(String[] args) {
		System.out.println(getCurrentWorkingDirectory());
	//	System.out.println(getUserHomeDirectory());
	}
}
