package conf;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import cn.edu.whu.lmars.utils.FileTool;

/**
 * Gets sensor web properties.
 * 
 * @author Mingda Zhang
 * 
 */
public class SensorWebProperty {
	private static SensorWebProperty instance = null;
	private static Properties properties = null;

	private SensorWebProperty() {

	}

	/**
	 * Gets an instance of SensorWebProperty.
	 * 
	 * @return
	 */
	public static SensorWebProperty getInstance() {
		if (instance == null) {
			instance = new SensorWebProperty();
			InputStream in = null;
			try {
				in = FileTool.getStreamFromResource(PathConf.SENSOR_WEB);
				properties = new Properties();
				properties.loadFromXML(in);
			} catch (Exception e) {
				e.printStackTrace();
			}finally{
				if(in != null){
					try {
						in.close();
					} catch (IOException e) {
						e.printStackTrace();
					}
				}
			}
		}
		return instance;
	}

	/**
	 * Gets service properties.
	 * 
	 * @return
	 */
	public Properties getServiceProperty() {
		return properties;
	}

	public static void main(String[] args) {
		Properties properties = SensorWebProperty.getInstance()
				.getServiceProperty();
		for (Object set : properties.keySet()) {
			String postfix = set.toString();
			String className = properties.getProperty(postfix);
			System.out.println("key:" + postfix + ",value:" + className);
		}

	}
}
